#
# Conditional build:
%bcond_without	mcpp	# gcc's cpp instead of mcpp
#
Summary:	xrdb application - X server resource database utility
Summary(pl.UTF-8):	Aplikacja xrdb - narzędzie do bazy danych zasobów serwera X
Name:		xorg-app-xrdb
Version:	1.2.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xrdb-%{version}.tar.bz2
# Source0-md5:	34ae801ef994d192c70fcce2bdb2a1b2
URL:		https://xorg.freedesktop.org/
BuildRequires:	pkgconfig >= 1:0.19
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
%if %{with mcpp}
Requires:	mcpp
%else
Requires:	cpp
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xrdb is used to get or set the contents of the RESOURCE_MANAGER
property on the root window of screen 0, or the SCREEN_RESOURCES
property on the root window of any or all screens, or everything
combined. You would normally run this program from your X startup
file.

%description -l pl.UTF-8
xrdb służy do odczytu lub ustawiania zawartości właściwości
RESOURCE_MANAGER głównego okna ekranu 0 lub właściwości
SCREEN_RESOURCES głównego okna dowolnego z ekranów, lub wszystkiego
razem. Zwykle używa się tego programu z poziomu skryptu startowego X.

%prep
%setup -q -n xrdb-%{version}

%build
%configure \
	--with-cpp=/usr/bin/%{?with_mcpp:m}cpp \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xrdb
%{_mandir}/man1/xrdb.1*
%changelog
* Sat Jun 01 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xrdb.git;a=log;h=master

* Fri Feb 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 11b92d1
- updated to 1.2.0

* Fri Mar 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 0e4d31e
- updated to 1.1.1

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> f40b33b
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> f1379a7
- added mcpp bcond

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 21a6971
- updated to 1.1.0

* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> a849e58
- Use mcpp as preprocessor to avoid pulling gcc/binutils
Release 2

* Tue Apr 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ca0f2a5
- up to 1.0.9 (fixes CVE-2011-0465; root hole under some special conditions)

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> b8b542f
- updated to 1.0.8

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> d46d85c
- updated to 1.0.7

* Fri Aug 27 2010 Elan Ruusamäe <glen@pld-linux.org> 098a6d0
- more precise diff

* Fri Aug 27 2010 Elan Ruusamäe <glen@pld-linux.org> 4ecd64e
- gcc split todo

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 6f56122
- updated to 1.0.6

* Thu Feb 26 2009 Elan Ruusamäe <glen@pld-linux.org> 4e975a2
- require cpp >= 4.0 to avoid pulling compat-gcc for cpp dep; rel 2

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> da0dcef
- updated to 1.0.5

* Tue Aug 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 8d8433f
- added AUTHORS to doc

* Thu Aug 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8584d22
- up to 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bbd6baf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7997833
- converted to UTF-8

* Sat Jan 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 379887e
- real descs from man

* Wed Jan 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 94d972d
- up to 1.0.3

